/* helper class start */
.rtl {
    direction: rtl !important;
}

.ltr {
    direction: ltr !important;
}

/* helper class end */

/* side navbar css over write start */
.sidebar.sidebar-style-2[data-background-color=dark2] .nav .nav-item.selected>a,
.sidebar.sidebar-style-2[data-background-color=dark] .nav .nav-item.selected>a {
    color: #fff;
    font-weight: 700;
}

.sidebar.sidebar-style-2 .nav .nav-item .selected>a {
    background: rgba(199, 199, 199, .2);
}

/* side navbar css over write end */


/* bootstrap image thumbnail customize start */
.img-thumbnail {
    max-width: 400px;
}

/* bootstrap image thumbnail customize end */

/* image table preview for dropzone edit form start */
#img-table .slider-img-view {
    display: inline-block;
    position: relative;
    margin-right: 15px;
    margin-bottom: 10px;
}

#img-table .slider-img-view button {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0px 5px;
}

#img-table .slider-img-view td {
    padding: 0px !important;
}

.dropzone:hover {
    background: transparent !important;
}

/* image table preview for dropzone edit form end */

/* iconpicker input field start */
.iconpicker-popover.popover .popover-title input[type=search].iconpicker-search {
    direction: ltr !important;
}

/* iconpicker input field end */

/* request loader css start */
.request-loader {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #0000007a;
    z-index: 10000;
    display: none;
}

.request-loader img {
    position: fixed;
    display: none;
    width: 80px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.request-loader.show {
    display: block;
}

.request-loader.show img {
    display: block;
}

/* request loader css end */

/* summernote css start */
.note-editor.note-frame .note-btn.note-image-btn,
.note-editor.note-frame .note-btn.note-video-btn,
.note-editor.note-frame .note-btn.note-link-btn {
    border: 1px solid #31ce36 !important;
    background: #31ce36 !important;
}

label.note-form-label {
    color: #fff !important;
}

.note-modal label.form-check-label {
    color: #fff !important;
}

.note-modal h4.modal-title {
    color: #ffffff9a;
}

.sn-checkbox-open-in-new-window.form-check [type=checkbox]:checked,
.sn-checkbox-open-in-new-window.form-check [type=checkbox]:not(:checked) {
    left: 30px;
}

.form-check.sn-checkbox-open-in-new-window {
    padding-left: 30px;
}

.sn-checkbox-use-protocol.form-check [type=checkbox]:checked,
.sn-checkbox-use-protocol.form-check [type=checkbox]:not(:checked) {
    left: 30px;
}

.form-check.sn-checkbox-use-protocol {
    padding-left: 30px;
}

.form-check.sn-checkbox-use-protocol {
    display: none;
}

.sn-checkbox-open-in-new-window.form-check {
    display: none;
}

/* summernote css end */

/* summernote rtl css start */
.note-editor.note-frame .note-editing-area .note-editable.rtl {
    text-align: right !important;
}

/* summernote rtl css end */

.list-group .list-group-item {
    display: block;
}

#myEditor li.list-group-item {
    cursor: move;
    border-left-width: 1px;
    border-right-width: 1px;
}

.custom-file-label::after {
    color: #fff;
    background-color: #1a2035;
    border-left: 1px solid #2f374b;
}

label.custom-file-label {
    background-color: #1a2035;
    border: 1px solid #2f374b;
}

.messages-container {
    max-height: 600px;
    overflow-y: scroll;
}

.dropdown-menu button.deleteBtn {
    border: none;
    background: transparent;
    font-size: 13px;
    padding: .25rem 1.5rem;
    color: #212529;
    cursor: pointer;
    display: block;
    width: 100%;
    text-align: left;
}

.dropdown-menu button.deleteBtn:hover {
    color: #16181b;
    text-decoration: none;
    background-color: #f8f9fa;
}

/* GJS Container CSS */
.my-container {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    min-height: 300px;
}

/* Accordion Customize */
.version {
    border: 1px solid #0000003a;
    margin-bottom: 20px;
}

.version-header button[aria-expanded=true] {
    background-color: #6861CE !important;
    color: #fff;
}

.version-header button {
    display: block;
    width: 100%;
    text-align: left;
    font-size: 18px;
    font-weight: 600;
    text-transform: capitalize;
    text-align: left;
    padding: 20px 30px;
}

.version-header button:hover {
    text-decoration: none !important;
}

.version-header button:focus {
    text-decoration: none !important;
}

.version-header button i {
    margin-right: 10px;
}

.version-body .list-group button {
    color: #fff;
    padding-left: 60px;
    font-size: 16px;
    position: relative;
}

.version-body .list-group button::before {
    content: '\f101';
    font-family: 'Font Awesome 5 Free';
    font-weight: 600;
    margin-right: 10px;
}

.version-body .list-group button a {
    border-radius: 50px;
    float: right;
    margin-right: 30px;
}

.version-body .list-group button a.activated {
    cursor: auto;
    background-color: #31CE36 !important;
    border: 1px solid #31CE36 !important;
}

/* Jquery Timepicker */
.ui-timepicker-container.ui-timepicker-no-scrollbar.ui-timepicker-standard {
    position: absolute;
    transform: translateY(0px);
    max-height: 230px;
    overflow-y: scroll;
    max-width: 160px;
    overflow-x: hidden;
    -webkit-transform: translateY(0px);
    -moz-transform: translateY(0px);
    -ms-transform: translateY(0px);
    -o-transform: translateY(0px);
}

@media (min-width: 768px) {
    .my-container {
        width: 750px;
    }
}

@media (min-width: 992px) {
    .my-container {
        width: 970px;
    }
}

@media (min-width: 1200px) {
    .my-container {
        width: 1170px;
    }
}

/* Laravel File-Manager CSS */
.lfm-modal {
    width: 100%;
}

.lfm-modal .modal-dialog {
    position: absolute !important;
    top: 50px !important;
    left: 50px !important;
    right: 50px !important;
    bottom: 50px !important;
    max-width: 100%;
    margin: 0;
    min-height: auto;
}

.lfm-modal iframe,
.lfm-modal .modal-content {
    height: 100% !important;
    width: 100% !important;
}

.thumb-preview {
    background: #f1f1f1;
    display: inline-block;
    padding: 5px;
    border-radius: 8px;
    max-width: 300px;
}

.thumb-preview img {
    max-width: 100%;
}

#uploadForm>.dz-default.dz-message {
    padding: 6rem 0 !important;
}

.lfm-modal i.fas.fa-times-circle {
    position: absolute;
    right: 30px;
    top: 29px;
    font-size: 24px;
    color: #ff3737;
    background-color: #fff;
    z-index: 100;
    display: inline-block;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    border: none;
    cursor: pointer;
    outline: 0;
}

.slider-thumbs .thumb-preview {
    max-width: 150px;
    position: relative;
}

.slider-thumbs .thumb-preview i.fa-times-circle {
    position: absolute;
    top: -4px;
    right: -6px;
    color: #ff3737;
    background: #fff;
    border-radius: 50%;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

.seperate-file-manager iframe {
    height: 900px;
    width: 100%;
    border: 0;
}

@media only screen and (max-width: 1400px) {
    .seperate-file-manager iframe {
        height: 590px;
    }
}

.datepicker-days th,
.datepicker-days td {
    color: #212529 !important;
}

.datepicker-days th.active,
.datepicker-days td.active {
    color: #fff !important;
}

.product-type .card-stats .icon-big {
    border-radius: 50%;
}

.product-type .card.card-stats.card-round {
    padding: 50px 0;
}

.dashboard-items a:hover,
.popup-type a:hover,
.product-type a:hover {
    text-decoration: none;
}

.product-type .card-category {
    font-size: 20px;
}

.product-type .card-stats .card-title {
    margin-bottom: 0px !important;
    margin: 15px 0px 10px !important;
}


/* START: CSS for Summernote Content */
.note-editor.note-frame .note-editing-area .note-editable article,.note-editor.note-frame .note-editing-area .note-editable aside,.note-editor.note-frame .note-editing-area .note-editable details,.note-editor.note-frame .note-editing-area .note-editable figcaption,.note-editor.note-frame .note-editing-area .note-editable figure, .note-editor.note-frame .note-editing-area .note-editable footer,.note-editor.note-frame .note-editing-area .note-editable header,.note-editor.note-frame .note-editing-area .note-editable hgroup,.note-editor.note-frame .note-editing-area .note-editable menu,.note-editor.note-frame .note-editing-area .note-editable nav,.note-editor.note-frame .note-editing-area .note-editable section {
    display:block;
}

.note-editor.note-frame .note-editing-area .note-editable i,
.note-editor.note-frame .note-editing-area .note-editable span,
.note-editor.note-frame .note-editing-area .note-editable a {
    display: inline;
}
.note-editor.note-frame .note-editing-area .note-editable ul {
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

.note-editor.note-frame .note-editing-area .note-editable ol {
    display: block;
    list-style-type: decimal;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

.note-editor.note-frame .note-editing-area .note-editable th,.note-editor.note-frame .note-editing-area .note-editable td {
    font-size: 14px;
    border-top-width: 0px;
    border-bottom: 1px solid;
    border-color: #ebedf2 !important;
    padding: 0 25px !important;
    height: 60px;
    vertical-align: middle !important;
    color: #000;
}

.note-editor.note-frame .note-editing-area .note-editable a {
    color: inherit;
    text-decoration: none;
}

.note-editor.note-frame .note-editing-area .note-editable a:hover, .note-editor.note-frame .note-editing-area .note-editable a:focus {
    color: inherit;
    text-decoration: none;
}

.note-editor.note-frame .note-editing-area .note-editable a:focus,
.note-editor.note-frame .note-editing-area .note-editable input:focus,
.note-editor.note-frame .note-editing-area .note-editable textarea:focus,
.note-editor.note-frame .note-editing-area .note-editable button:focus {
    text-decoration: none;
    outline: none;
}

.note-editor.note-frame .note-editing-area .note-editable h1,
.note-editor.note-frame .note-editing-area .note-editable h2,
.note-editor.note-frame .note-editing-area .note-editable h3,
.note-editor.note-frame .note-editing-area .note-editable h4 {
    font-weight: 700;
}
/* END: CSS for Summernote Content */

/* START:  CSS to match with frontend (brought frontend 'style.css' file) */

.note-editor.note-frame .note-editing-area .note-editable p {
    font-size: 16px;
    line-height: 28px;
}

.note-editor.note-frame .note-editing-area .note-editable h1,
.note-editor.note-frame .note-editing-area .note-editable h2,
.note-editor.note-frame .note-editing-area .note-editable h3,
.note-editor.note-frame .note-editing-area .note-editable h4,
.note-editor.note-frame .note-editing-area .note-editable h5,
.note-editor.note-frame .note-editing-area .note-editable h6 {
    margin: 0;
    padding: 0;
    font-family: "Playfair Display";
    color: #374146;
}

.note-editor.note-frame .note-editing-area .note-editable h1 {
    font-size: 50px;
    line-height: 65px;
}

.note-editor.note-frame .note-editing-area .note-editable h2 {
    font-size: 40px;
    line-height: 50px;
}

.note-editor.note-frame .note-editing-area .note-editable h3 {
    font-size: 30px;
    line-height: 40px;
}

.note-editor.note-frame .note-editing-area .note-editable h4 {
    font-size: 24px;
    line-height: 30px;
}

.note-editor.note-frame .note-editing-area .note-editable h5 {
    font-size: 20px;
}

.note-editor.note-frame .note-editing-area .note-editable h6 {
    font-size: 18px;
}

.note-editor.note-frame .note-editing-area .note-editable p {
    margin: 0px;
}

.note-editor.note-frame .note-editing-area .note-editable body {
    font-family: "Rubik", sans-serif;
    font-weight: normal;
    font-style: normal;
    color: #565872;
    font-size: 16px;
    line-height: 30px;
    overflow-x: hidden;
}
/* END:  CSS to match with frontend (brought frontend 'style.css' file) */